# Generate(文生视频

**方法**: `POST`
**路径**: `/pixverse/v1/pro/generate`

## 请求参数

### Header 参数

```text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
prompt
string
必需
ratio
string
必需
style
string
可选
seed
integer
可选
negative_prompt
string
可选
model
string
必需
template_id
integer
可选
示例
{
"prompt"
:
"string"
,
"ratio"
:
"string"
,
"style"
:
"string"
,
"seed"
:
0
,
"negative_prompt"
:
"string"
,
"model"
:
"string"
,
"template_id"
:
0
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/pixverse/v1/pro/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "ratio": "string",
    "style": "string",
    "seed": 0,
    "negative_prompt": "string",
    "model": "string",
    "template_id": 0
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "code": 200,
    "data": {
        "task_id": "a766793f-5e6b-4f4e-deac-cfa80a51e167"
    },
    "exec_time": 0.029496,
    "msg": "成功"
}
```
